Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0017411
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfacemajoralways2011-05-30 09:112012-09-28 14:39
ReportermbernalView Statuspublic 
Assigned ToAugustoMauch 
PriorityhighResolutionfixedFixed in Version3.0MP16
StatusclosedFix in branchFixed in SCM revisionc7a170e05b3f
ProjectionnoneETAnoneTarget Version3.0MP17
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesQuery/List widget
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0017411: Links in widgets of type "Query" are not working properly

DescriptionWhen defining a Query/List widget, after setting the HQL query it will execute, columns for this widget have to be defined.

When one of these columns has marked the "Has Link" check, and it is properly configured, the widget will provide a link in this column to the selected tab and recordId.

Nowadays, it is not linking to the correct tab, but to the default tab for the table.
Steps To Reproduce1. Create a copy of the window "Purchase Invoice".
2. In the default widget "Invoices to Pay", change the link in "Document Number" to the Header tab on this newly created window.
3. When creating a new instance of this widget, the link will still point to Purchase Invoice.

4. This happens always with any querylist widget, or any window which is not defined as default Window or default PO Window in AD_Table.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0015379 closedgorkaion Extend navigation model 
related to defect 00187803.0MP5 closeddbaz The window/tab defined on the query/list widget to create the link is not taken into account 

-  Notes
(0041857)
hgbot (developer)
2011-10-17 16:34

Repository: erp/devel/pi
Changeset: f28965132f63fde3ab10af32bc4510ba15085bdf
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Mon Oct 17 16:34:06 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f28965132f63fde3ab10af32bc4510ba15085bdf [^]

Fixed issue 18780 - Fixed issue 17411: Now query list widget links works ok
when no 'Window' nor 'Window PO' defined in the column definition

---
M src/org/openbravo/erpCommon/utility/ReferencedLink.java
---
(0042006)
hudsonbot (developer)
2011-10-23 13:41

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/35bf0a7aa166 [^]

Maturity status: Test
(0042480)
alostale (developer)
2011-11-03 15:43

Commited changeset fixes issue 0018780 but not this one.

Now when there is no window/window po in the referenced table, the one defined in the widget is used. But in case the table has window/window po, this one is used regardless what is specified in the widget.
(0042807)
alostale (developer)
2011-11-14 08:40

This is a design defect.

Currently, link tab is used just to get the entity for the link column. With this entity standard linked items is used to determine which is the actual tab to navigate to.

Using directly the tab in the link wouldn't be enough for the case of tables having different SO/PO windows.
(0042808)
alostale (developer)
2011-11-14 08:49

Also related to issue 0015379: when extending navigation model this should be also taken into account.
(0052258)
alostale (developer)
2012-09-20 11:54

Updating to defect.

After discussing it with ICI the conclusion is: it was originally designed to navigate to the tab defined in the widget regardless standard navigation and it was incorrectly implemented.

Note changing this implementation will make widgets displaying in the same list sales and purchases records to work incorrectly, but this is a corner case which solution would be to split the widget in two: one for sales and another one for purchase info.
(0052603)
hgbot (developer)
2012-09-26 09:52

Repository: erp/devel/pi
Changeset: c7a170e05b3f4d9095ae14180070d64af1a3f667
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Thu Sep 20 17:54:18 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c7a170e05b3f4d9095ae14180070d64af1a3f667 [^]

Fixes Issue 0017411: Incorrect behaviour of links in query/list widgets.

In query/list widgets, when links are attached the Entity was used as reference to navigate to the record. Now modified it to use the Tab attached irrespective of the Entity.

---
M modules/org.openbravo.client.querylist/web/org.openbravo.client.querylist/js/ob-querylist-widget.js
---
(0052604)
AugustoMauch (developer)
2012-09-26 09:55

I have reviewed all Openbravo query widgets, and all of them that showed data from a table that contained both sales and purchases had an additional filter to ensure that only sales records or purchases records are listed on each widget.
(0052605)
AugustoMauch (developer)
2012-09-26 09:55

Code reviewed and verified in pi@c7a170e05b3f
(0052905)
hudsonbot (developer)
2012-09-28 14:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6d2f8cffd4b1 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-05-30 09:11 mbernal New Issue
2011-05-30 09:11 mbernal Assigned To => dbaz
2011-05-30 09:11 mbernal Modules => Query/List widget
2011-05-30 16:34 dbaz Assigned To dbaz => gorkaion
2011-09-19 23:09 psarobe Assigned To gorkaion => iperdomo
2011-09-19 23:09 psarobe Status new => scheduled
2011-09-22 11:28 iperdomo Assigned To iperdomo => dbaz
2011-10-17 16:30 dbaz Relationship added related to 0018780
2011-10-17 16:34 hgbot Checkin
2011-10-17 16:34 hgbot Note Added: 0041857
2011-10-17 16:34 hgbot Status scheduled => resolved
2011-10-17 16:34 hgbot Resolution open => fixed
2011-10-17 16:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f28965132f63fde3ab10af32bc4510ba15085bdf [^]
2011-10-23 13:41 hudsonbot Checkin
2011-10-23 13:41 hudsonbot Note Added: 0042006
2011-11-03 15:43 alostale Note Added: 0042480
2011-11-03 15:43 alostale Status resolved => new
2011-11-03 15:43 alostale Resolution fixed => open
2011-11-14 08:40 alostale Note Added: 0042807
2011-11-14 08:40 alostale Type defect => design defect
2011-11-14 08:48 alostale Relationship added related to 0015379
2011-11-14 08:49 alostale Note Added: 0042808
2011-11-14 08:49 alostale Status new => scheduled
2011-11-14 08:49 alostale fix_in_branch => pi
2012-09-20 11:54 alostale Note Added: 0052258
2012-09-20 11:54 alostale Type design defect => defect
2012-09-20 11:54 alostale fix_in_branch pi =>
2012-09-20 11:55 alostale Assigned To dbaz => AugustoMauch
2012-09-20 11:57 alostale Target Version => 3.0MP17
2012-09-25 16:00 vmromanos Issue Monitored: vmromanos
2012-09-26 09:52 hgbot Checkin
2012-09-26 09:52 hgbot Note Added: 0052603
2012-09-26 09:52 hgbot Status scheduled => resolved
2012-09-26 09:52 hgbot Resolution open => fixed
2012-09-26 09:52 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/f28965132f63fde3ab10af32bc4510ba15085bdf [^] => http://code.openbravo.com/erp/devel/pi/rev/c7a170e05b3f4d9095ae14180070d64af1a3f667 [^]
2012-09-26 09:55 AugustoMauch Note Added: 0052604
2012-09-26 09:55 AugustoMauch Closed by => AugustoMauch
2012-09-26 09:55 AugustoMauch Note Added: 0052605
2012-09-26 09:55 AugustoMauch Status resolved => closed
2012-09-26 09:55 AugustoMauch Fixed in Version => 3.0MP16
2012-09-28 14:39 hudsonbot Checkin
2012-09-28 14:39 hudsonbot Note Added: 0052905


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker